#include <QApplication>
#include <QWidget>
#include <QtGui>
#include <QFont>

class MyWidget : public QWidget {
public:
  MyWidget(QWidget *parent = NULL) : QWidget(parent) {
   // setFixedSize(100, 100);
  }

protected:
  void paintEvent(QPaintEvent *) {

    int id = QFontDatabase::addApplicationFont(":/risorse/FreeSerif.ttf");
    QString family = QFontDatabase::applicationFontFamilies(id).at(0);
    QFont f(family);

    f.setKerning(false);
    f.setHintingPreference(QFont::PreferVerticalHinting);
    f.setPixelSize(100);
    //f.setItalic(true);

    QPainter painter(this);
    painter.setFont(f);
    painter.setBrush(Qt::NoBrush);
    painter.setPen(Qt::SolidLine);
    painter.setRenderHint(QPainter::Antialiasing, true);
    painter.setRenderHint(QPainter::TextAntialiasing, true);
    painter.drawText(50, 70, "feierlich");

    f.setKerning(true);
    painter.setFont(f);
    painter.setBrush(Qt::NoBrush);
    painter.setPen(Qt::SolidLine);
    painter.setRenderHint(QPainter::Antialiasing, true);
    painter.setRenderHint(QPainter::TextAntialiasing, true);
    painter.drawText(50, 160, "feierlich");

    QTextLayout pippo("feierlich");
    pippo.setFont(f);
    pippo.beginLayout();
    pippo.createLine();
    pippo.endLayout();
    pippo.draw(&painter,QPointF(50,180));
  }
};

int main(int argc, char **argv) {
  QApplication app(argc, argv);
  MyWidget w;
  w.show();
  return app.exec();
}
